﻿using ProjectPatientAccounting.Entities.Enums;
namespace ProjectPatientAccounting.Entities;

public class Medicament
{
    public int Id { get; private set; }
    public string Name { get; private set; } = string.Empty;
    public string Description { get; private set; } = string.Empty;
    public TypeMedicament TypeMedicament { get; private set; }

    public static Medicament CreateEntity(int id, string name, string description, TypeMedicament typeMedicament)
    {
        return new Medicament
        {
            Id = id,
            Name = name ?? string.Empty,
            Description = description ?? string.Empty,
            TypeMedicament = typeMedicament,

        };
    }
}
